<?xml version = "1.0" encoding = "gb2312" standalone = "yes" ?>
<!DOCTYPE configurations[
    <!ELEMENT configurations (configuration)+>
    <!ATTLIST configurations
        checksum CDATA #REQUIRED
    >
    <!ELEMENT configuration (unsupported_versions?, (images)*, (nv_operations)*, (efs_operations)*)>
    <!ATTLIST configuration
        product_id CDATA #REQUIRED
        version CDATA #REQUIRED
        min_version CDATA #REQUIRED
        max_version CDATA #REQUIRED
    >
    <!ELEMENT unsupported_versions (version)+>
    <!ELEMENT version (#PCDATA)>

    <!ELEMENT images (image)+ >
    <!ELEMENT image (#PCDATA) >
    <!ATTLIST image
      name CDATA #REQUIRED
      address CDATA ""
      identifier CDATA ""
    >
    <!ELEMENT nv_operations (nv_operation)+>
    <!ATTLIST nv_operations
        version CDATA #REQUIRED
    >
    <!ELEMENT nv_operation (nv_item)+>
    <!ATTLIST nv_operation
        type (backup|init) #REQUIRED
    >
    <!ELEMENT nv_item (#PCDATA)>
    <!ATTLIST nv_item
        name CDATA ""
        data CDATA ""
    >
    <!ELEMENT efs_operations (reboot_setting?, (efs_operation)*) >
    <!ATTLIST efs_operations
        version CDATA #REQUIRED
    >
    <!ELEMENT reboot_setting (setting)+ >
    <!ELEMENT setting (#PCDATA)>
    <!ATTLIST setting
        reboot (yes|no) "no"
        reboot_mode CDATA #REQUIRED
    >
    <!ELEMENT efs_operation (path)+ >
    <!ATTLIST efs_operation
        type (add|backup|delete) #REQUIRED
    >
    <!ELEMENT path (#PCDATA)>
    <!ATTLIST path
        exclude (yes|no) "no"
    >
]>
<configurations checksum = "0x0003ACEE">
    <configuration product_id = "M750" version = "C1TB207" min_version =  "C00B000" max_version =  "C99B999">
        <unsupported_versions>
            <version></version>
        </unsupported_versions>
        <images>
            <image name = "NPRG" address = "0x800000" identifier = "NPRG">M750/M750V100R001C1TB207.bin</image>
            <image name = "AMSS" address = "0x000000" identifier = "AMSS">M750/M750V100R001C1TB207.mbn</image>
        </images>
        <efs_operations version = "C1TB207" >
            <reboot_setting>
                <setting reboot = "no" reboot_mode = "0">pre_restore</setting>
                <setting reboot = "no" reboot_mode = "0">post_restore</setting>
                <setting reboot = "no" reboot_mode = "0">pre_add</setting>
                <setting reboot = "yes" reboot_mode = "1">post_add</setting>
                <setting reboot = "yes" reboot_mode = "3">pre_delete</setting>
                <setting reboot = "no" reboot_mode = "0">post_delete</setting>
            </reboot_setting>
            <efs_operation type = "delete">
                <path>brew/shared/callhist </path>
                <path>sys/downloadinfo.dat </path>
                <path>brew/user/coreprofile.cfg </path>
            </efs_operation>
            <efs_operation type = "add">
                <path>M750/</path>
                <path exclude = "yes">M750V100R001C1TB207.bin</path>
                <path exclude = "yes">M750V100R001C1TB207.mbn</path>
                <path exclude = "yes">amsshd.mbn</path>
                <path exclude = "yes">partition.mbn</path>
            </efs_operation>
        </efs_operations>
    </configuration>
</configurations>
